Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.webflow.engine.impl
Enum FlowExecutionStatus

    java.lang.Object
      java.lang.Enum<FlowExecutionStatus>
          org.springframework.webflow.engine.impl.FlowExecutionStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FlowExecutionStatus>

    public enum FlowExecutionStatus

extends java.lang.Enum<FlowExecutionStatus>

A enum used internally by `FlowExecutionImpl` to track its status. Flow Executions initially start out in NOT_STARTED. After start is called, they are ACTIVE. After ending, their status is updated to ENDED.

Enum Constant Summary
`ACTIVE` The flow execution has started and a session is active.
`ENDED` The flow execution has ended.
`NOT_STARTED` The flow execution has not yet started.

Method Summary
`static FlowExecutionStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FlowExecutionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOT_STARTED

    public static final FlowExecutionStatus NOT_STARTED

  The flow execution has not yet started.

### ACTIVE

    public static final FlowExecutionStatus ACTIVE

  The flow execution has started and a session is active.

### ENDED

    public static final FlowExecutionStatus ENDED

  The flow execution has ended.

Method Detail

### values

    public static FlowExecutionStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FlowExecutionStatus c : FlowExecutionStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FlowExecutionStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD